## tdemultimedia-trinity 14.0.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdemultimedia )

set( PACKAGE tdemultimedia )
set( VERSION R14.0.5 )

enable_testing( )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckIncludeFileCXX )
include( CheckTypeSize )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckLibraryExists )
include( CheckSymbolExists )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

OPTION( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_ALSA "Enable ALSA support (kscd, kmix)" ON )
option( WITH_ARTS_AKODE "Enable aRts akode plugin" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS_AUDIOFILE "Enable aRts audiofile plugin" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS_MPEGLIB "Enable aRts mpeglib pluing" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS_XINE "Enable aRts xine plugin" ${WITH_ALL_OPTIONS} )
option( WITH_CDPARANOIA "Enable CDParanoia support (mpeglib, tdeioslave-audiocd)" ${WITH_ALL_OPTIONS} )
option( WITH_FLAC "Enable FLAC support (tdeioslave)" ${WITH_ALL_OPTIONS} )
option( WITH_GSTREAMER "Enable gstreamer support (juk)" ${WITH_ALL_OPTIONS} )
option( WITH_KSCD_CDDA "Enable cdda support in kscd" ${WITH_ALL_OPTIONS} )
option( WITH_LAME "Enable lame support (krec)" ${WITH_ALL_OPTIONS} )
option( WITH_MUSICBRAINZ "Enable MusicBrainz support (juk)" OFF )
option( WITH_TAGLIB "Enable taglib support (juk, tdefile-plugins)" ${WITH_ALL_OPTIONS} )
option( WITH_THEORA "Enable Ogg/Theora support (tdefile-plugins)" ${WITH_ALL_OPTIONS} )
option( WITH_VORBIS "Enable Ogg/Vorbis support (krec, mpeglib, oggarts, tdefile-plugins)" ${WITH_ALL_OPTIONS} )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_ARTS "Build aRts" ${BUILD_ALL} )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_JUK "Build Juk player" ${BUILD_ALL} )
option( BUILD_KABOODLE "Build Kaboodle video player" ${BUILD_ALL} )
option( BUILD_KAPPFINDER_DATA "Build data for kappfinder" ${BUILD_ALL} )
option( BUILD_KAUDIOCREATOR "Build KAudio Creator" ${BUILD_ALL} )
option( BUILD_KMIX "Build kmix" ${BUILD_ALL} )
option( BUILD_KREC "Build krec" ${BUILD_ALL} )
option( BUILD_KSCD "Build kscd player" ${BUILD_ALL} )
option( BUILD_LIBKCDDB "Build kcddb library" ${BUILD_ALL} )
option( BUILD_MPEGLIB "Build mpeg library" ${BUILD_ALL} )
option( BUILD_NOATUN "Build noatun player" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS "Build tdefile plugins" ${BUILD_ALL} )
option( BUILD_TDEIOSLAVE "Build tdeio slave plugins" ${BUILD_ALL} )
option( BUILD_TDEMID "Build tdemid" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### activate dependencies #####################


##### tdemultimedia directories ########################

if( BUILD_MPEGLIB ) # must be before mpeglib_artsplug
  if( NOT BUILD_ARTS )
    tde_message_fatal( "mpeglib can not be built without building arts" )
  endif( )
  add_subdirectory( mpeglib )
endif( BUILD_MPEGLIB )
if( BUILD_ARTS )
  add_subdirectory( arts )
  tde_conditional_add_subdirectory( WITH_ARTS_AKODE akode_artsplugin )
  tde_conditional_add_subdirectory( WITH_ARTS_AUDIOFILE audiofile_artsplugin )
  if( WITH_ARTS_MPEGLIB )
    if( NOT BUILD_MPEGLIB )
      tde_message_fatal( "mpeglib aRts plugin can not be built without building mpeglib" )
    endif( )
    add_subdirectory( mpeglib_artsplug )
  else( WITH_ARTS_MPEGLIB )
    tde_conditional_add_subdirectory( WITH_VORBIS oggvorbis_artsplugin )
  endif( WITH_ARTS_MPEGLIB )
  tde_conditional_add_subdirectory( WITH_ARTS_XINE xine_artsplugin )
endif( BUILD_ARTS )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_JUK juk )
tde_conditional_add_subdirectory( BUILD_KABOODLE kaboodle )
tde_conditional_add_subdirectory( BUILD_KAPPFINDER_DATA kappfinder-data )
if( BUILD_KAUDIOCREATOR )
  if( NOT BUILD_KSCD )
    tde_message_fatal( "kaudiocreator can not be built without building kscd" )
  endif( )
  add_subdirectory( kaudiocreator )
endif( BUILD_KAUDIOCREATOR )
tde_conditional_add_subdirectory( BUILD_KMIX kmix )
if( BUILD_KREC )
  if( NOT BUILD_ARTS )
    tde_message_fatal( "krec can not be built without building arts" )
  endif( )
  add_subdirectory( krec )
endif( BUILD_KREC )
tde_conditional_add_subdirectory( BUILD_KSCD kscd )
tde_conditional_add_subdirectory( BUILD_LIBKCDDB libkcddb )
tde_conditional_add_subdirectory( BUILD_NOATUN noatun )
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS tdefile-plugins )
tde_conditional_add_subdirectory( BUILD_TDEIOSLAVE tdeioslave )
tde_conditional_add_subdirectory( BUILD_TDEMID tdemid )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )


##### add apidox targets ############

add_custom_target(apidox
  COMMAND "./generate_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "/usr/share/qt3/doc/html"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

add_custom_target(install-apidox
  COMMAND "./install_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "${CMAKE_INSTALL_PREFIX}"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

## tdemultimedia-trinity 14.0.4

=== debian/changelog ===
tdemultimedia-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:49:51 +0200

tdemultimedia-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdemultimedia-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Prevented double kmix startup when kmix and kmix-trinity are both installed

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 15 Apr 2009 15:58:00 -0600

tdemultimedia-trinity (4:3.5.10-0ubuntu1~intrepid5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 28 Feb 2009 16:19:00 -0600

tdemultimedia-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * Fixed tdemultimedia-trinity-dev package

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 27 Nov 2008 03:04:00 -0600

tdemultimedia-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * SVN import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 24 Nov 2008 20:18:00 -0600

tdemultimedia (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump version of build-dep on tdelibs4-dev to 3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:46:47 -0400

tdemultimedia (4:3.5.9-0ubuntu2) hardy; urgency=low

  * Remove duplicate depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Feb 2008 16:16:49 +0000

tdemultimedia (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:07 +0000

tdemultimedia (4:3.5.8-1ubuntu3) hardy; urgency=low

  * Fix build failures with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jan 2008 19:43:25 +0000

tdemultimedia (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:16:28 +0000

tdemultimedia (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change:
   - no debian/tmp/usr/lib/mcop/akodeMPEGPlayObject.mcopclass

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:41 +0000

tdemultimedia (4:3.5.8-1) unstable; urgency=low

  * New upstream release:
    + Patches: removed 11_audiocd_no_-x_in_lame merged upstream.
  * Redo buildprep and bump build-dependencies to 3.5.8.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 14 Oct 2007 14:22:15 +0200

tdemultimedia (4:3.5.7-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Introducing endian.h to fix the problems with lame and encoding in the
    right way. 
  * Implement use of uploaders.mk
  * Add patch to make random album usable thru dcop. Thanks to Frans Pop.
    (Closes: #432012)
  * Update description of mpeglib. Thanks to Peter Eisentraut. (Closes: #432318)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 24 Jul 2007 00:28:25 +0200

tdemultimedia (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:24 +0100

tdemultimedia (4:3.5.7-2ubuntu2) gutsy; urgency=low

  * Fix build errors with g++-4.3. LP: #138595.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Sep 2007 01:02:22 +0000

tdemultimedia (4:3.5.7-2ubuntu1) gutsy; urgency=low

  * Merge with debian, pick up the FLAC transition

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 19 Jun 2007 19:31:24 +1000

tdemultimedia (4:3.5.7-2) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez and Nacho Barrientos Arias:
  
  * FLAC 1.1.4 transition, dropped liboggflac-dev from Build-Depends since
   it have been merged into libflac-dev. (Closes: #426672)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Jun 2007 15:27:07 +0100

tdemultimedia (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * New upstream Version
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 19 Jun 2007 19:30:42 +1000

tdemultimedia (4:3.5.7-1) unstable; urgency=low

  * New upstream release.
  * juk does not support new tunepimp 0.5. Due to this, Musicbrainz support has
    been removed of juk and the build-deps on libtunepimp are not necessary.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 21 May 2007 15:06:57 +0100

tdemultimedia (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:53 +0100

tdemultimedia (4:3.5.6-2) unstable; urgency=low
   
   * Upload to unstable after Etch release.
   * Update Uploaders.

  +++ Changes by Sune Vuorela:

  * Don't lame encode with -x. It seems to have no effect on x86 arch - and it
    breaks on PPC. (Closes: #388382)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 19 Apr 2007 14:56:53 +0100

tdemultimedia (4:3.5.6-1) experimental; urgency=low

  * New upstream release.
  * Make tdemultimediadbg depend on tdelibs-dbg to get useful backtraces when
    debugging.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 22 Nov 2006 09:38:49 -0500

tdemultimedia (4:3.5.5-2) unstable; urgency=medium

  +++ Changes by Fathi Boudra:

  * Remove 11_applications_menu_move patch. We must use applications-merged as
    the default merge directory.
  * Update tdemultimedia-kappfinder-data.install to install
    kde-multimedia-music.menu in applications-merged directory.
  * Urgency medium, as the other uploads changing to applications-merged are
    urgency medium, and we should enter Etch with them.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 16 Nov 2006 17:10:17 -0500

tdemultimedia (4:3.5.6-0ubuntu4) feisty; urgency=low

  * Add kubuntu_04_tunepimp_5.diff, detect tunepimp 0.5
  * Remove Juk's dependency on obsolete package libtunepimp-bin



=== debian/control ===
Source: tdemultimedia-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, cdparanoia, gawk, gettext, tdelibs14-trinity-dev, libcdparanoia0-dev, libesd0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdemultimedia-trinity
Section: tde
Architecture: all
Replaces: kdemultimedia-kde3 (<< 4:14.0.0~), kdemultimedia-trinity (<< 4:14.0.0~)
Breaks: kdemultimedia-kde3 (<< 4:14.0.0~), kdemultimedia-trinity (<< 4:14.0.0~)
Depends: artsbuilder-trinity (>= ${Source-Version}), juk-trinity (>= ${Source-Version}), kaboodle-trinity (>= ${Source-Version}), kaudiocreator-trinity (>= ${Source-Version}), tdemultimedia-kappfinder-data-trinity (>= ${Source-Version}), tdemultimedia-tdefile-plugins-trinity (>= ${Source-Version}), tdemultimedia-tdeio-plugins-trinity (>= ${Source-Version}), tdemid-trinity (>= ${Source-Version}), kmix-trinity (>= ${Source-Version}), krec-trinity (>= ${Source-Version}), kscd-trinity (>= ${Source-Version}), libarts1-akode-trinity (>= ${Source-Version}), libarts1-audiofile-trinity (>= ${Source-Version}), libarts1-mpeglib-trinity (>= ${Source-Version}), libarts1-xine-trinity (>= ${Source-Version}), mpeglib-trinity (>= ${Source-Version}), noatun-trinity (>= ${Source-Version})
Suggests: tdemultimedia-trinity-doc-html (>= ${Source-Version})
Description: multimedia apps from the official Trinity release 
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of multimedia applications
 (such as sound and movie player, mixers and plugins) provided with
 the official release of TDE.
 .
 Homepage: http://www.kde.org/areas/multimedia

Package: tdemultimedia-trinity-dev
Section: devel
Architecture: any
Replaces: kdemultimedia-kde3-dev (<< 4:14.0.0~), kdemultimedia-trinity-dev (<< 4:14.0.0~)
Breaks: kdemultimedia-kde3-dev (<< 4:14.0.0~), kdemultimedia-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity-dev, artsbuilder-trinity (= ${Source-Version}), tdemultimedia-tdeio-plugins-trinity (= ${Source-Version}), tdemid-trinity (= ${Source-Version}), kmix-trinity (= ${Source-Version}), krec-trinity (= ${Source-Version}), kscd-trinity (= ${Source-Version}), libarts1-akode-trinity (= ${Source-Version}), libarts1-mpeglib-trinity (= ${Source-Version}), libkcddb1-trinity (= ${Source-Version}), mpeglib-trinity (= ${Source-Version}), noatun-trinity (= ${Source-Version})
Conflicts: libmpeg-trinity-dev
Description: development files for the Trinity multimedia module
 Development files and headers for the Trinity multimedia module.
 .
 This package is part of TDE, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemultimedia-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdemultimedia-kde3-doc-html (<< 4:14.0.0~), kdemultimedia-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdemultimedia-kde3-doc-html (<< 4:14.0.0~), kdemultimedia-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: Trinity multimedia documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE multimedia documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/juk/. Documentation is provided for most
 TDE multimedia packages.
 .
 This package is part of Trinity, and a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: artsbuilder-trinity
Section: sound
Architecture: any
Replaces: artsbuilder-kde3 (<< 4:14.0.0~), artsbuilder-trinity (<< 4:14.0.0~)
Breaks: artsbuilder-kde3 (<< 4:14.0.0~), artsbuilder-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: synthesizer designer for aRts
 This is the analog Realtime synthesizer's graphical design tool.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: juk-trinity
Section: tde
Architecture: any
Replaces: juk-kde3 (<< 4:14.0.0~), juk-trinity (<< 4:14.0.0~)
Breaks: juk-kde3 (<< 4:14.0.0~), juk-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: music organizer and player for Trinity
 JuK (pronounced "jook") is a jukebox and music manager for the TDE
 desktop similar to jukebox software on other platforms such as
 iTunes or RealOne.
 .
 Some of JuK's features include:
  * Support for Ogg Vorbis and MP3 formats
  * Tag editing support for both formats, including ID3v2 for MP3 files.
    Multitagging or editing a selection of multiple files at once is also
    supported
  * Output to either the aRts, default TDE sound system, or GStreamer
  * Management of your "collection" and multiple playlists
  * Import and export to m3u playlists
  * Binary caching of audio meta-data and playlist information for faster
    load times (starting with the second time you run JuK)
  * Integration into TDE that allows drag-and-drop and clipboard usage
    with other TDE and X apps
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: kaboodle-trinity
Section: sound
Architecture: any
Replaces: kaboodle-kde3 (<< 4:14.0.0~), kaboodle-trinity (<< 4:14.0.0~)
Breaks: kaboodle-kde3 (<< 4:14.0.0~), kaboodle-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: libarts1-xine-trinity
Suggests: khelpcenter-trinity
Description: light, embedded media player for Trinity
 Kaboodle is a light, embedded media player, supporting both video and audio,
 for TDE. It uses the aRts framework for playing media files.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: kaudiocreator-trinity
Section: sound
Architecture: any
Replaces: kaudiocreator-kde3 (<< 4:14.0.0~), kaudiocreator-trinity (<< 4:14.0.0~)
Breaks: kaudiocreator-kde3 (<< 4:14.0.0~), kaudiocreator-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdemultimedia-tdeio-plugins-trinity (= ${Source-Version})
Recommends: vorbis-tools, flac
Suggests: lame
Description: CD ripper and audio encoder frontend for Trinity
 KAudioCreator is a tool for audio extraction (ripping) and encoding. It can
 keep your WAV files, or convert them to Ogg/Vorbis, MP3, or FLAC. It also
 searches CDDB to retrieve the information of the disk.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemultimedia-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdemultimedia-kfile-plugins-kde3 (<< 4:14.0.0~), kdemultimedia-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdemultimedia-kfile-plugins-kde3 (<< 4:14.0.0~), kdemultimedia-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: au/avi/m3u/mp3/ogg/wav plugins for tdefile
 au/avi/m3u/mp3/ogg/wav file metainformation plugins for Trinity.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemultimedia-kappfinder-data-trinity
Section: tde
Architecture: any
Replaces: kdemultimedia-kappfinder-data-kde3 (<< 4:14.0.0~), kdemultimedia-kappfinder-data-trinity (<< 4:14.0.0~)
Breaks: kdemultimedia-kappfinder-data-kde3 (<< 4:14.0.0~), kdemultimedia-kappfinder-data-trinity (<< 4:14.0.0~)
Depends: kappfinder-trinity
Description: multimedia data for kappfinder-trinity
 This package provides data on multimedia applications for kappfinder-trinity.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemultimedia-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdemultimedia-kio-plugins-kde3 (<< 4:14.0.0~), kdemultimedia-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdemultimedia-kio-plugins-kde3 (<< 4:14.0.0~), kdemultimedia-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: lame
Description: enables the browsing of audio CDs under Konqueror
 This package allow audio CDs to be browsed like a file system using
 Konqueror and the audiocd:/ URL.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: tdemid-trinity
Section: sound
Architecture: any
Replaces: kmid-kde3 (<< 4:14.0.0~), kmid-trinity (<< 4:14.0.0~)
Breaks: kmid-kde3 (<< 4:14.0.0~), kmid-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: MIDI/karaoke player for Trinity
 This package provides a MIDI and karaoke player for TDE.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: kmix-trinity
Section: sound
Architecture: any
Replaces: kmix-kde3 (<< 4:14.0.0~), kmix-trinity (<< 4:14.0.0~)
Breaks: kmix-kde3 (<< 4:14.0.0~), kmix-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Provides: x-audio-mixer
Description: sound mixer applet for Trinity
 This package includes TDE's dockable sound mixer applet.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: krec-trinity
Section: sound
Architecture: any
Replaces: krec-kde3 (<< 4:14.0.0~), krec-trinity (<< 4:14.0.0~)
Breaks: krec-kde3 (<< 4:14.0.0~), krec-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: sound recorder utility for Trinity
 This is a sound recording utility for Trinity.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: kscd-trinity
Section: sound
Architecture: any
Replaces: kscd-kde3 (<< 4:14.0.0~), kscd-trinity (<< 4:14.0.0~)
Breaks: kscd-kde3 (<< 4:14.0.0~), kscd-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Description: audio CD player for Trinity
 This is Trinity's audio CD player.
 .
 This package is part of Trinity, as a component of the TDE multimedia module.
 See the 'tde-trinity' and 'tdemultimedia-trinity' packages for more information.

Package: libarts1-akode-trinity
Section: libs
Architecture: any
Replaces: libarts1-akode-kde3 (<< 4:14.0.0~), libarts1-akode-trinity (<< 4:14.0.0~)

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--with-alsa --with-arts-alsa \
	--with-extra-includes=/usr/include/speex:/opt/trinity/include/tde/arts \
	--prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib
	# The include/tde/arts one should be temporary. See
	# "juk/Makefile.am: arts_includes vs ARTS_CFLAGS" in -talk.

DOC_HTML_PRUNE := kcontrol-trinity

DEB_DH_STRIP_ARGS  := --dbg-package=tdemultimedia-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := artsbuilder-trinity tdemultimedia-tdeio-plugins-trinity tdemid-trinity kmix-trinity krec-trinity \
	libarts1-akode-trinity libarts1-audiofile-trinity libarts1-mpeglib-trinity libarts1-xine-trinity \
	libkcddb1-trinity mpeglib-trinity noatun-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

install/tdemultimedia-kappfinder-data-trinity::
	install -p -D -m644 debian/tmp/etc/xdg/menus/applications-merged/tde-multimedia-music.menu debian/tdemultimedia-kappfinder-data-trinity/etc/xdg/menus/applications-merged/trinity-multimedia-music.menu

## tdemultimedia-trinity 14.0.5

=== debian/changelog ===
tdemultimedia-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 04:02:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, cdparanoia, gawk, gettext, tdelibs14-trinity-dev, libcdparanoia0-dev, libesd0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, cdparanoia, gawk, gettext, tdelibs14-trinity-dev, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdemultimedia-trinity
@@ -12,8 +12,8 @@
 Architecture: all
 Replaces: kdemultimedia-kde3 (<< 4:14.0.0~), kdemultimedia-trinity (<< 4:14.0.0~)
 Breaks: kdemultimedia-kde3 (<< 4:14.0.0~), kdemultimedia-trinity (<< 4:14.0.0~)
-Depends: artsbuilder-trinity (>= ${Source-Version}), juk-trinity (>= ${Source-Version}), kaboodle-trinity (>= ${Source-Version}), kaudiocreator-trinity (>= ${Source-Version}), tdemultimedia-kappfinder-data-trinity (>= ${Source-Version}), tdemultimedia-tdefile-plugins-trinity (>= ${Source-Version}), tdemultimedia-tdeio-plugins-trinity (>= ${Source-Version}), tdemid-trinity (>= ${Source-Version}), kmix-trinity (>= ${Source-Version}), krec-trinity (>= ${Source-Version}), kscd-trinity (>= ${Source-Version}), libarts1-akode-trinity (>= ${Source-Version}), libarts1-audiofile-trinity (>= ${Source-Version}), libarts1-mpeglib-trinity (>= ${Source-Version}), libarts1-xine-trinity (>= ${Source-Version}), mpeglib-trinity (>= ${Source-Version}), noatun-trinity (>= ${Source-Version})
-Suggests: tdemultimedia-trinity-doc-html (>= ${Source-Version})
+Depends: artsbuilder-trinity (>= ${source:Version}), juk-trinity (>= ${source:Version}), kaboodle-trinity (>= ${source:Version}), kaudiocreator-trinity (>= ${source:Version}), tdemultimedia-kappfinder-data-trinity (>= ${source:Version}), tdemultimedia-tdefile-plugins-trinity (>= ${source:Version}), tdemultimedia-tdeio-plugins-trinity (>= ${source:Version}), tdemid-trinity (>= ${source:Version}), kmix-trinity (>= ${source:Version}), krec-trinity (>= ${source:Version}), kscd-trinity (>= ${source:Version}), libarts1-akode-trinity (>= ${source:Version}), libarts1-audiofile-trinity (>= ${source:Version}), libarts1-mpeglib-trinity (>= ${source:Version}), libarts1-xine-trinity (>= ${source:Version}), mpeglib-trinity (>= ${source:Version}), noatun-trinity (>= ${source:Version})
+Suggests: tdemultimedia-trinity-doc-html (>= ${source:Version})
 Description: multimedia apps from the official Trinity release 
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
  desktop environment for Unix workstations. It combines ease of use,
@@ -31,7 +31,7 @@
 Architecture: any
 Replaces: kdemultimedia-kde3-dev (<< 4:14.0.0~), kdemultimedia-trinity-dev (<< 4:14.0.0~)
 Breaks: kdemultimedia-kde3-dev (<< 4:14.0.0~), kdemultimedia-trinity-dev (<< 4:14.0.0~)
-Depends: tdelibs14-trinity-dev, artsbuilder-trinity (= ${Source-Version}), tdemultimedia-tdeio-plugins-trinity (= ${Source-Version}), tdemid-trinity (= ${Source-Version}), kmix-trinity (= ${Source-Version}), krec-trinity (= ${Source-Version}), kscd-trinity (= ${Source-Version}), libarts1-akode-trinity (= ${Source-Version}), libarts1-mpeglib-trinity (= ${Source-Version}), libkcddb1-trinity (= ${Source-Version}), mpeglib-trinity (= ${Source-Version}), noatun-trinity (= ${Source-Version})
+Depends: tdelibs14-trinity-dev, artsbuilder-trinity (= ${source:Version}), tdemultimedia-tdeio-plugins-trinity (= ${source:Version}), tdemid-trinity (= ${source:Version}), kmix-trinity (= ${source:Version}), krec-trinity (= ${source:Version}), kscd-trinity (= ${source:Version}), libarts1-akode-trinity (= ${source:Version}), libarts1-mpeglib-trinity (= ${source:Version}), libkcddb1-trinity (= ${source:Version}), mpeglib-trinity (= ${source:Version}), noatun-trinity (= ${source:Version})
 Conflicts: libmpeg-trinity-dev
 Description: development files for the Trinity multimedia module
  Development files and headers for the Trinity multimedia module.
@@ -120,7 +120,7 @@
 Architecture: any
 Replaces: kaudiocreator-kde3 (<< 4:14.0.0~), kaudiocreator-trinity (<< 4:14.0.0~)
 Breaks: kaudiocreator-kde3 (<< 4:14.0.0~), kaudiocreator-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, tdemultimedia-tdeio-plugins-trinity (= ${Source-Version})
+Depends: ${shlibs:Depends}, tdemultimedia-tdeio-plugins-trinity (= ${source:Version})
 Recommends: vorbis-tools, flac
 Suggests: lame
 Description: CD ripper and audio encoder frontend for Trinity

## tdemultimedia-trinity 14.0.6

=== debian/changelog ===
tdemultimedia-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 22:59:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, cdparanoia, gawk, gettext, tdelibs14-trinity-dev, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, cdparanoia, gawk, tdelibs14-trinity-dev, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdemultimedia-trinity

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #! /usr/bin/make -f
 
+include /usr/share/cdbs/1/class/cmake.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include debian/cdbs/debian-qt-kde.mk
 #include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -18,6 +19,20 @@
 	--prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib
 	# The include/tde/arts one should be temporary. See
 	# "juk/Makefile.am: arts_includes vs ARTS_CFLAGS" in -talk.
+
+DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
+ -DCONFIG_INSTALL_DIR="/etc/trinity" \
+ -DSYSCONF_INSTALL_DIR="/etc/trinity" \
+ -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DCMAKE_VERBOSE_MAKEFILE="ON" \
+ -DCMAKE_SKIP_RPATH="OFF" \
+ -DBUILD_ALL="ON" \
+ -DWITH_ALL_OPTIONS="ON" \
+ -DWITH_LAME="OFF"
+
+DEB_MAKE_CHECK_TARGET = check
 
 DOC_HTML_PRUNE := kcontrol-trinity

## tdemultimedia-trinity 14.0.8

=== debian/changelog ===
tdemultimedia-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, cdparanoia, gawk, tdelibs14-trinity-dev, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, cdparanoia, gawk, tdelibs14-trinity-dev, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdemultimedia-trinity
@@ -226,3 +226,4 @@
 Section: libs
 Architecture: any
 Replaces: libarts1-akode-kde3 (<< 4:14.0.0~), libarts1-akode-trinity (<< 4:14.0.0~)
+Breaks: libarts1-akode-kde3 (<< 4:14.0.0~), libarts1-akode-trinity (<< 4:14.0.0~)

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,7 @@
 
 include /usr/share/cdbs/1/class/cmake.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/debian-qt-kde.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man

## tdemultimedia-trinity 14.0.9

=== debian/changelog ===
tdemultimedia-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:51:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, cdparanoia, gawk, tdelibs14-trinity-dev, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, intltool, autotools-dev, cdparanoia, gawk, tdelibs14-trinity-dev, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdemultimedia-trinity
@@ -226,4 +226,3 @@
 Section: libs
 Architecture: any
 Replaces: libarts1-akode-kde3 (<< 4:14.0.0~), libarts1-akode-trinity (<< 4:14.0.0~)
-Breaks: libarts1-akode-kde3 (<< 4:14.0.0~), libarts1-akode-trinity (<< 4:14.0.0~)

## tdemultimedia-trinity 14.0.10

=== debian/changelog ===
tdemultimedia-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Apr 2021 00:48:45 +0200

## tdemultimedia-trinity 14.0.11

=== debian/changelog ===
tdemultimedia-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 28 Aug 2021 13:15:24 +0200

## tdemultimedia-trinity 14.0.12

=== debian/changelog ===
tdemultimedia-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdemultimedia

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Apr 2022 23:52:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tdemultimedia-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, intltool, autotools-dev, cdparanoia, gawk, tdelibs14-trinity-dev, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, sharutils, texinfo, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, cdparanoia, libcdparanoia0-dev, libflac-dev (>= 1.1.4-1), libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev, libsamplerate0-dev, libspeex-dev (>> 1.1.5), libtag1-dev (>> 1.3.1), libtheora-dev, libxine2-dev | libxine-dev, libxxf86dga-dev, libxv-dev, libxxf86vm-dev, libakode-dev, libogg-dev
 Standards-Version: 3.8.4
 
 Package: tdemultimedia-trinity
@@ -226,3 +226,6 @@
 Section: libs
 Architecture: any
 Replaces: libarts1-akode-kde3 (<< 4:14.0.0~), libarts1-akode-trinity (<< 4:14.0.0~)
+Breaks: libarts1-akode-kde3 (<< 4:14.0.0~), libarts1-akode-trinity (<< 4:14.0.0~)
+Depends: ${shlibs:Depends}
+Description: akode plugin for aRts
